# ACE_Mutex_Invariants Class Reference

Mutex Invariants = INVARIANTS 1. Only one owner at a time. More...

`#include <Token_Invariants.h>`

List of all members.

## Public Member Functions

| ACE_Mutex_Invariants (void)
| Default construction.
int | acquired (void)
void | releasing (void)
| Updates internal database.
| ACE_Mutex_Invariants (const ACE_Mutex_Invariants &rhs)
| Copy construction.
void | operator= (const ACE_Mutex_Invariants &rhs)
| Copy.
void | dump (void) const
| Dump the state of the class.

## Private Attributes

int | owners_
| Number of owners. This had better be 0 >= owners_ <= 1;.

## Detailed Description

Mutex Invariants = INVARIANTS 1. Only one owner at a time.

## Constructor & Destructor Documentation

ACE_Mutex_Invariants::ACE_Mutex_Invariants | ( | void |  | ) |

| Default construction.

ACE_Mutex_Invariants::ACE_Mutex_Invariants | ( | const ACE_Mutex_Invariants & | rhs | ) |

| Copy construction.

## Member Function Documentation

int ACE_Mutex_Invariants::acquired | ( | void |  | ) |

| Returns 1 on success, 0 when an invariant has been violated and -1 on error.

void ACE_Mutex_Invariants::dump | ( | void |  | ) | const

| Dump the state of the class.

void ACE_Mutex_Invariants::operator= | ( | const ACE_Mutex_Invariants & | rhs | ) |

| Copy.

void ACE_Mutex_Invariants::releasing | ( | void |  | ) |

| Updates internal database.

## Member Data Documentation

int ACE_Mutex_Invariants::owners_ `[private]`

| Number of owners. This had better be 0 >= owners_ <= 1;.

The documentation for this class was generated from the following files:

- Token_Invariants.h
- Token_Invariants.cpp